SDL_CompilerBarrier(3)

NAME
SDL_CompilerBarrier - Mark a compiler barrier.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_CompilerBarrier() DoCompilerSpecificReadWriteBarrier()

DESCRIPTION
A compiler barrier prevents the compiler from reordering reads and writes to globally visible variables across the call.

This macro only prevents the compiler from reordering reads and writes, it does not prevent the CPU from reordering reads and writes. However, all of the atomic operations that modify memory are full memory barriers.

THREAD SAFETY
Obviously this macro is safe to use from any thread at any time, but if you find yourself needing this, you are probably dealing with some very sensitive code; be careful!

AVAILABILITY
This macro is available since SDL 3.2.0.